#!/bin/bash
FIJI_EXE_PATH=''
RAW_IMAGES_ROOT_PATH=''
LIPASE_SRC_ROOT_PATH="$(pwd)/src"
case "$(uname)" in
    'Linux')
        FIJI_EXE_PATH='./Fiji.app/ImageJ-linux64'
        RAW_IMAGES_ROOT_PATH='/opt/ipr/cluster/work.global/graffy/jenkins-store/lipase/raw-images'
        ;;
    'Darwin')
        FIJI_EXE_PATH='/Applications/Fiji.app/Contents/MacOS/ImageJ-macosx'
        RAW_IMAGES_ROOT_PATH='/Users/graffy/ownCloud/ipr/lipase/raw-images'
        ;;
    *)
        echo "unhandled openating system : $(uname)"
        exit 1
esac
"$FIJI_EXE_PATH" --ij2 --headless --run './tests/test0001.py' "lipase_src_root_path='$LIPASE_SRC_ROOT_PATH',raw_images_root_path='$RAW_IMAGES_ROOT_PATH'"
# on macosx : /Applications/Fiji.app/Contents/MacOS/ImageJ-macosx --ij2 --headless --run './test0001.py'
# /Applications/Fiji.app/Contents/MacOS/ImageJ-macosx --ij2 --headless --run './tests/test0001.py' "lipase_src_root_path='$(pwd)',raw_images_root_path='/Users/graffy/ownCloud/ipr/lipase/raw-images'"
